/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __file_h_
#define __file_h_

/* Returns a word from the file, ie removes whitespace and ignores comments (#) */
char *get_file_word(FILE *file);

/* Covert a file name (fname2) relative to fname1, to a filename relative to the
   current path. The returned name is allocated */
char *make_absolute_fname(const char *fname1, const char *fname2);

/* Return in_fname2 relative to in_fname1 */
char *make_relative_fname(const char *in_fname1, const char *in_fname2);

#endif /* __file_h_ */
