/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __level_list_h__
#define __level_list_h__

typedef struct _LevelEntry LevelEntry;

#include <GL/gl.h>

/* Basic info about a level */
struct _LevelEntry
{
  char *name;
  /* Texture for a snapshot */
  GLuint snapshot;
  char *snapshot_name;
  char *file_name;

  LevelEntry *last, *next;
};

#include "world.h"

/* Load a list of availiable levels */
int load_level_list(World *world, const char *fname);

/* Remove all the availiable levels */
int clear_level_list(World *world);

#endif /* __level_list_h__ */
