/* 
 * NATOW - Tank to tank warfare in a 3D fully destructable world
 *
 * Copyright (C) 2000-2001
 *                     Robert Ancell  <bob27@users.sourceforge.net>
 *                     Yannick Perret <hexasoft@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* header for starting screen */

#ifndef __start_h__
#define __start_h__

#include "world.h"

/* manage start-menu drawing */
void draw_start(World *world);

/* (Re)generate the logo texture */
void regen_logo(World *world);

/* Update the properties of the logo texture */
void update_logo(World *world);

/* manage key actions and selections for the main menu */
void manage_main_menu_input(World *world, int key);

/* init the start-menu screen */
void init_start(World *w);

/* free the start-menu screen */
void free_start(World *w);



#endif /* __start_h__ */
